## org.eclipse.emf.ocl.uml
Interface TypedElement

All Superinterfaces:
  EModelElement, ENamedElement, EObject, Notifier

All Known Subinterfaces:
  AssociationClassCallExp, BooleanLiteralExp, CallExp, CollectionItem, CollectionLiteralExp, CollectionLiteralPart, CollectionRange, EnumLiteralExp, FeatureCallExp, IfExp, IntegerLiteralExp, InvalidLiteralExp, IterateExp, IteratorExp, LetExp, LiteralExp, LoopExp, MessageExp, NavigationCallExp, NullLiteralExp, NumericLiteralExp, OCLExpression, OperationCallExp, PrimitiveLiteralExp, PropertyCallExp, RealLiteralExp, StateExp, StringLiteralExp, TupleLiteralExp, TupleLiteralPart, TypeExp, UnspecifiedValueExp, Variable, VariableExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, BooleanLiteralExpImpl, CallExpImpl, CollectionItemImpl, CollectionLiteralExpImpl, CollectionLiteralPartImpl, CollectionRangeImpl, EnumLiteralExpImpl, FeatureCallExpImpl, IfExpImpl, IntegerLiteralExpImpl, InvalidLiteralExpImpl, IterateExpImpl, IteratorExpImpl, LetExpImpl, LiteralExpImpl, LoopExpImpl, MessageExpImpl, NavigationCallExpImpl, NullLiteralExpImpl, NumericLiteralExpImpl, OCLExpressionImpl, OperationCallExpImpl, PrimitiveLiteralExpImpl, PropertyCallExpImpl, RealLiteralExpImpl, StateExpImpl, StringLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralPartImpl, TypedElementImpl, TypeExpImpl, UnspecifiedValueExpImpl, VariableExpImpl, VariableImpl

Deprecated. Use the `TypedElement` interface, instead.

    @Deprecated
    public interface TypedElement

extends ENamedElement

A representation of the model object 'Typed Element'.

The following features are supported:

- `Type`

See Also:
  `UMLPackage.getTypedElement()`

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`EClassifier` `getType()` Deprecated. Returns the value of the 'Type' reference
`void` `setType(EClassifier value)` Deprecated. Sets the value of the '`Type`' reference

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getType

    EClassifier getType()

  Deprecated.
  Returns the value of the 'Type' reference.

  If the meaning of the 'Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' reference.
  See Also:
    `setType(EClassifier)`, `UMLPackage.getTypedElement_Type()`

### setType

    void setType(EClassifier value)

  Deprecated.
  Sets the value of the '`Type`' reference.

  Parameters:
    `value` - the new value of the 'Type' reference.
  See Also:
    `getType()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.